Description: Workaround test issues during build and autopkgtest in Debian
Origin: vendor
Forwarded: not-needed
Author: gregor herrmann <gregoa@debian.org>
Last-Update: 2024-07-28

--- a/MANIFEST.SKIP
+++ b/MANIFEST.SKIP
@@ -15,3 +15,6 @@
 ^.*~$
 Test-Strict
 MYMETA.*
+
+^.pc/
+^debian/
--- a/t/93-checkmanifest.t
+++ b/t/93-checkmanifest.t
@@ -3,5 +3,8 @@
 use Test::More tests => 2;
 use ExtUtils::Manifest;
 
+SKIP: {
+skip "Missing/extra files in autopkgtest env", 2 if $ENV{AUTOPKGTEST_TMP};
 is_deeply [ ExtUtils::Manifest::manicheck() ], [], 'missing';
 is_deeply [ ExtUtils::Manifest::filecheck() ], [], 'extra';
+}
--- a/t/01all.t
+++ b/t/01all.t
@@ -17,6 +17,13 @@
 
 my $tests = 55;
 $tests += 2 if -e 'blib/lib/Test/Strict.pm';
+
+$tests += 4 unless $ENV{AUTOPKGTEST_TMP};
+#ok 27 - Syntax check /build/libtest-strict-perl-0.54/t/../.pc/tests_under_debian.patch/t/93-checkmanifest.t
+#ok 28 - use strict   /build/libtest-strict-perl-0.54/t/../.pc/tests_under_debian.patch/t/93-checkmanifest.t
+#ok 29 - Syntax check /build/libtest-strict-perl-0.54/t/../.pc/tests_under_debian.patch/t/01all.t
+#ok 30 - use strict   /build/libtest-strict-perl-0.54/t/../.pc/tests_under_debian.patch/t/01all.t
+
 plan  tests => $tests;
 
 ##
